// pages/recommendFood/recommendFood.js

import request from '../../utils/request'

Page({

    /**
     * 页面的初始数据
     */
    data: {
        foodList:[]
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad:async function(options) {
        let result = await request('/front/merchantAndCallout')  //获取商户信息
        // console.log(result);
        let imagePath = []
        for(let i = 0;i < result.length;i++){
            let id = result[i].id
            imagePath = await request('/front/findAllMerchantFilesPath/'+id)
            // console.log(imagePath);
            // 将图片地址添加到商户列表对应的店铺内
            Object.assign(result[i],imagePath)
            // console.log(result);
        }

        this.setData({
            foodList:result
        })        
    },

    //跳转到美食详情页
    tofoodDetail(e){
        // console.log(e);
        let foodId = e.currentTarget.dataset.item.id
        wx.navigateTo({
          url: '/pages/foodDetail/foodDetail?id=' + foodId,
        })
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady() {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide() {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload() {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom() {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage() {

    }
})