import request from "../../utils/request";

// pages/strategyDetail/strategyDetail.js
Page({

    /**
     * 页面的初始数据
     */
    data: {

        title:'',   //攻略标题
        strategy:'',    //攻略描述
        iconList:[] //攻略图片数组
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad:async function(options) {
        console.log(options.id);
        var id = options.id
        let result = await request('/front/strategyFront')
        console.log(result);
        for(let i = 0;i < result.length;i++){
            if(id == result[i].id){
                this.setData({
                    title:result[i].title,
                    strategy:result[i].strategy,
                    iconList:result[i].iconList
                })
            }
        }
    },

    //点击预览图片
    toPreviewImage() {
        let iconList = this.data.iconList
        var imgList = []
        for(let j = 0;j < iconList.length;j++){
            imgList[j] = iconList[j].icon
        }
        // console.log(imgList);
        wx.previewImage({
            // current: imgList, // 当前显示图片的 http 链接
            urls: imgList // 需要预览的图片 http 链接列表
        })
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady() {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide() {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload() {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom() {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage() {

    }
})